Source: astroid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniel Echeverri <epsilon@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-lazy-object-proxy (>= 1.4.0),
               python3-pip <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools,
               python3-six,
               python3-typing-extensions (>= 3.10.0) <!nocheck>,
               python3-wrapt,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/pylint-dev/astroid
Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid
Testsuite: autopkgtest-pkg-pybuild

Package: python3-astroid
Architecture: all
Depends: python3-typing-extensions,
         ${misc:Depends},
         ${python3:Depends},
Breaks: pylint (<< 3.3.0),
Description: rebuild a new abstract syntax tree from Python's AST (Python3)
 The aim of this module is to provide a common base representation of
 Python source code for projects such as pychecker, pyreverse,
 pylint... Well, actually the development of this library is essentially
 governed by pylint's needs. It used to be called logilab-astng.
 .
 It provides a compatible representation which comes from the `_ast`
 module.  It rebuilds the tree generated by the builtin _ast module by
 recursively walking down the AST and building an extended ast. The new
 node classes have additional methods and attributes for different
 usages.  They include some support for static inference and local name
 scopes.  Furthermore, astroid builds partial trees by inspecting living
 objects.
 .
 Main modules are:
 .
   * `bases`, `node_classses` and `scoped_nodes` contain the classes for the
     different type of nodes of the tree.
 .
   * the `manager` contains a high level object to get astroid trees from
     source files and living objects. It maintains a cache of previously
     constructed tree for quick access.
 .
 python3-astroid is the new name of former python3-logilab-astng library.
